;InnoSetupVersion=4.0.11

[Setup]
AppName=TreeSize Professional
AppVerName=TreeSize Professional 3.03
AppId=TreeSize Professional
AppPublisher=JAM Software
AppPublisherURL=http://www.jam-software.com
AppSupportURL=mailto:support@jam-software.com
DefaultDirName={pf}\JAM Software\TreeSize Professional
DefaultGroupName=TreeSize Professional
OutputBaseFilename=TreeSizePro-Setup
Compression=bzip2
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\tsizepro,1.exe"; DestDir: "{app}"; DestName: "tsizepro.exe"; Languages: "en"; Flags: ignoreversion 
Source: "{app}\LICENSE,1.RTF"; DestDir: "{app}"; DestName: "LICENSE.RTF"; Languages: "en"; 
Source: "{app}\Readme,1.txt"; DestDir: "{app}"; DestName: "Readme.txt"; Languages: "en"; Flags: ignoreversion 
Source: "{app}\TSIZEPRO,1.HLP"; DestDir: "{app}"; DestName: "TSIZEPRO.HLP"; Languages: "en"; Flags: ignoreversion 
Source: "{app}\Tsizepro,1.pdf"; DestDir: "{app}"; DestName: "Tsizepro.pdf"; Languages: "en"; Flags: ignoreversion 
Source: "{app}\tsizepro,2.exe"; DestDir: "{app}"; DestName: "tsizepro.exe"; Languages: "de"; Flags: ignoreversion 
Source: "{app}\LICENSE,2.RTF"; DestDir: "{app}"; DestName: "LICENSE.RTF"; Languages: "de"; 
Source: "{app}\Readme,2.txt"; DestDir: "{app}"; DestName: "Readme.txt"; Languages: "de"; Flags: ignoreversion 
Source: "{app}\TSIZEPRO,2.HLP"; DestDir: "{app}"; DestName: "TSIZEPRO.HLP"; Languages: "de"; Flags: ignoreversion 
Source: "{app}\Tsizepro,2.pdf"; DestDir: "{app}"; DestName: "Tsizepro.pdf"; Languages: "de"; Flags: ignoreversion 

[Registry]
Root: HKCR; Subkey: "Folder\shell\tsizepro3"; ValueType: String; ValueData: "TreeSize Pro &3"; Tasks: explorercontextmneu; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\shell\tsizepro3\command"; ValueType: String; ValueData: """{app}\tsizepro.exe"" /CONTEXT ""%1"""; Tasks: explorercontextmneu; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\JAM Software"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\JAM Software\TreeSize Professional"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\Tsizepro.exe"; ValueType: String; ValueData: "{app}\tsizepro.exe"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\tsizepro.exe"; Parameters: "C:\"; Description: "Start TreeSize Professional"; Languages: "en"; Flags: postinstall skipifsilent nowait
Filename: "{app}\Readme.txt"; Description: "Show Readme File"; Languages: "en"; Flags: shellexec postinstall unchecked skipifsilent nowait
Filename: "{app}\tsizepro.exe"; Parameters: "C:\"; Description: "Start TreeSize Professional"; Languages: "de"; Flags: postinstall skipifsilent nowait
Filename: "{app}\Readme.txt"; Description: "Readme Datei anzeigen"; Languages: "de"; Flags: shellexec postinstall unchecked skipifsilent nowait

[Icons]
Name: "{group}\TreeSize Professional 3"; Filename: "{app}\tsizepro.exe"; 
Name: "{group}\TreeSize Professional 3 File Search"; Filename: "{app}\tsizepro.exe"; Parameters: "/SEARCH"; Languages: "en"; 
Name: "{group}\TreeSize Professional 3 Manual"; Filename: "{app}\Tsizepro.pdf"; Languages: "en"; 
Name: "{group}\TreeSize Professional 3 Help"; Filename: "{app}\tsizepro.hlp"; Languages: "en"; 
Name: "{group}\TreeSize Professional 3 Dateisuche"; Filename: "{app}\tsizepro.exe"; Parameters: "/SEARCH"; Languages: "de"; 
Name: "{group}\TreeSize Professional 3 Handbuch"; Filename: "{app}\Tsizepro.pdf"; Languages: "de"; 
Name: "{group}\TreeSize Professional 3 Hilfe"; Filename: "{app}\tsizepro.hlp"; Languages: "de"; 
Name: "{userdesktop}\TreeSize Professional"; Filename: "{app}\tsizepro.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\TreeSize Professional"; Filename: "{app}\tsizepro.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "explorercontextmneu"; Description: "Add To &Explorer Context Menu"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Languages: "en"; 
Name: "explorercontextmneu"; Description: "Zum &Explorer Kontextmen hinzufgen"; GroupDescription: "Additional icons:"; Languages: "de"; 
Name: "desktopicon"; Description: "&Verknpfung auf dem Desktop erstellen"; GroupDescription: "Additional icons:"; Languages: "de"; 
Name: "quicklaunchicon"; Description: "Verknpfung in der &Schnellstartleiste erstellen"; GroupDescription: "Additional icons:"; Languages: "de"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; LicenseFile: "embedded\enLicense.rtf"; 
Name: "de"; MessagesFile: "embedded\de.isl"; LicenseFile: "embedded\deLicense.rtf"; 
